gexbot api
general

tickers

Returns the list of available ticker symbols supported by the API. This includes stocks, indexes, and futures that can be used with other endpoints.

GET/tickersPublic

Returns the list of available ticker symbols supported by the API. This includes stocks, indexes, and futures that can be used with other endpoints.

Public Endpoint

This endpoint is public and requires no Authorization header. Quant subscribers can query additional WebSocket-only tickers via GET /tickers/quant.

Request

Example: /tickers

Headers

NameTypeDescription
User-AgentstringRequired. Identify your client application.
AcceptstringRequired. Set to "application/json".

Response

FieldTypeDescription
stocksarrayArray of stock ticker symbols available for trading data.
indexesarrayArray of index ticker symbols available for trading data.
futuresarrayArray of futures ticker symbols available for trading data.
{
  "stocks": [
    "AAPL",
    "AMD",
    "AMZN",
    "APP",
    "AVGO",
    "BABA",
    "COIN",
    "CRWD",
    "CRWV",
    "GLD",
    "GOOG",
    "GOOGL",
    "GME",
    "HOOD",
    "HYG",
    "IBIT",
    "INTC",
    "IONQ",
    "IWM",
    "META",
    "MSFT",
    "MSTR",
    "MU",
    "NFLX",
    "NVDA",
    "PLTR",
    "QQQ",
    "SLV",
    "SMCI",
    "SNOW",
    "SOFI",
    "SPY",
    "TLT",
    "TQQQ",
    "TSLA",
    "TSM",
    "UNH",
    "USO",
    "UVXY",
    "VALE"
  ],
  "indexes": [
    "SPX",
    "VIX",
    "NDX",
    "RUT"
  ],
  "futures": [
    "ES_SPX",
    "NQ_NDX"
  ]
}
{
  "type": "object",
  "properties": {
    "stocks": {
      "type": "array",
      "items": {
        "type": "string",
        "minLength": 1,
        "maxLength": 5
      },
      "description": "Array of stock ticker symbols."
    },
    "indexes": {
      "type": "array",
      "items": {
        "type": "string",
        "minLength": 1,
        "maxLength": 5
      },
      "description": "Array of index ticker symbols."
    },
    "futures": {
      "type": "array",
      "items": {
        "type": "string",
        "minLength": 1,
        "maxLength": 10
      },
      "description": "Array of futures ticker symbols."
    }
  }
}
type: object
properties:
  stocks:
    type: array
    items:
      type: string
      minLength: 1
      maxLength: 5
    description: Array of stock ticker symbols.
  indexes:
    type: array
    items:
      type: string
      minLength: 1
      maxLength: 5
    description: Array of index ticker symbols.
  futures:
    type: array
    items:
      type: string
      minLength: 1
      maxLength: 10
    description: Array of futures ticker symbols.

On this page